IFSC Verification
curl --request GET \
--url https://payout-api.cashfree.com/payout/v1/ifsc/{ifsc} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://payout-api.cashfree.com/payout/v1/ifsc/{ifsc}"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://payout-api.cashfree.com/payout/v1/ifsc/{ifsc}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESSS",
"subCode": 200,
"message": "Bank account details verified successfully",
"data": {
"bank": "HDFC BANK",
"ifsc": "HDFC0004110",
"neft": "Live",
"imps": "Live",
"rtgs": "Live",
"upi": "Not Live",
"ft": "Live",
"card": "Not Live",
"micr": "<string>",
"nbin": 9240,
"address": "HDFC BANK LTD WZ G 1 161 GROUND FLOOR UTTAM NAGAR MAIN ROAD NEW DELHI DELHI 110059",
"city": "DELHI",
"state": "DELHI",
"branch": "UTTAM NAGAR",
"ifscSubcode": "HDFC0",
"category": "DIRECT_MEMBER",
"swiftCode": ""
}
}{
"status": "ERROR",
"subCode": 404,
"message": "IFSC not found. Try again with valid IFSC"
}IFSC Verification
Use this API to verify if a given IFSC exists. The bank name, the branch that it belongs to, the transfer modes supported, and the respective MICR code will be shown in the response.
GET
/
payout
/
v1
/
ifsc
/
{ifsc}
IFSC Verification
 This API will be retired soon. Please plan to migrate to the latest version, IFSC Verification V2.
Path Parameters
The IFSC information of the bank account to be validated. It should be an alphanumeric value of 11 characters. The first 4 characters should be alphabets, the 5th character should be a 0, and the remaining 6 characters should be numerals.
Example:
"SCBL0036078"
Response
Accepted
It represents the status of the API request.
Example:
"SUCCESSS"
It represents the sub code of the API request.
Example:
200
It represents the message of the API request.
Example:
"Bank account details verified successfully"
It contains the bank account information.
Show child attributes
Show child attributes
⌘I
